Passa al contenuto principale

Create server network interface

POST 

/api/v3/servers/:server_id/network-interfaces

Required scopes: server:write

Starts the creation of a network interface: local, on an active local network of the cluster where the server resides, or public, on an IP address. The creation is asynchronous and is returned as a Task.

Request​

Responses​

Accepted: the operation goes on in the background, as the returned Task

Response Headers
    Location

    URL of the Task: /api/v3/tasks/{task_id}. Reading it requires the purchases:read scope